package com.flyer.foster.service.impl;

import com.flyer.foster.entity.TbAddress;
import com.flyer.foster.mapper.TbAddressMapper;
import com.flyer.foster.pojo.StpAppUtil;
import com.flyer.foster.service.ITbAddressService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author shuhao
 * @since 2025-03-16
 */
@Service
public class TbAddressServiceImpl extends ServiceImpl<TbAddressMapper, TbAddress> implements ITbAddressService {

    @Override
    public Integer minSort(Integer appUserId, Integer ignoreId) {
        TbAddress address = this.lambdaQuery().eq(TbAddress::getAppUserId, appUserId)
                .ne(TbAddress::getId, ignoreId)
                .orderByAsc(TbAddress::getSort).last("LIMIT 1").one();
        if(address == null){
            return null;
        }
        return address.getSort() - 1;
    }
}
