package com.flyer.foster.service.rpc.farm;

import com.flyer.foster.dto.SampleQueryDto;
import com.flyer.foster.service.rpc.farm.model.FeignRegionDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.ArrayList;
import java.util.List;

/**
 *  农事管理模块Feign客户端接口
 */
@FeignClient(contextId = "FeignFarmRegionService",value = "birdseye-new-api",path = "/rpc/region")
public interface FeignFarmRegionService {
    /**
     * 区域列表
     * @return
     */
    @GetMapping("/list")
    public List<FeignRegionDto> list(@SpringQueryMap SampleQueryDto dto);

}
