package com.flyer.foster.service.rpc.farm;

import com.flyer.foster.service.rpc.farm.model.ZFarmWorkRecordSampleDetailVo;
import com.flyer.model.PageAndListResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 *  农事管理模块Feign客户端接口
 */
@FeignClient(contextId = "FeignFarmWorkService",value = "birdseye-new-api",path = "/rpc/farm_work")
public interface FeignFarmWorkService {
    /**
     * 采样点农事记录
     * @param sampleId
     * @param page
     * @param limit
     * @return
     */
    @GetMapping("/listBySampleId/{page}/{limit}")
    PageAndListResult<ZFarmWorkRecordSampleDetailVo> listBySampleId(
            @RequestParam Integer sampleId,
            @PathVariable Integer page,
            @PathVariable Integer limit
    );

}
