package com.flyer.foster.service.rpc.farm.model;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.experimental.FieldNameConstants;
import org.apache.commons.lang3.StringUtils;

import java.util.ArrayList;
import java.util.List;

@Data
@FieldNameConstants
public class ZFarmWorkRecordSampleDetailVo implements java.io.Serializable {

    private static final long serialVersionUID = 1L;

        /**
        * id
        */
    @JSONField(ordinal = 0)
    private Long id;

    /**
     * 农事元数据name
     */
    @JSONField(ordinal = 2)
    private String farmWorkLibName;

    /**
     * 药肥名称
     */
    @JSONField(ordinal = 3)
    private List<String> pesticideFertilizerNameList;

    /**
     * 农资名称
     */
    @JSONField(ordinal = 5)
    private String agriculturalName;

    /**
     * 专家名称
     */
    @JSONField(ordinal = 7)
    private String expertName;

    /**
     * 安全标准
     */
    @JSONField(ordinal = 9)
    private String standardOfSecurity;

    @JSONField(serialize = false)
    private String prescriptionJson;

    /**
     * 农事处方
     */
    @JSONField(serialize = false)
    private List<FarmWorkPrescription> prescriptionList;

    /**
     * 转换执行蓝色分区
     */
    public void transformPrescriptionList() {
        if (StringUtils.isNotBlank(prescriptionJson)) {
            this.prescriptionList = JSON.parseArray(prescriptionJson, FarmWorkPrescription.class);
            pesticideFertilizerNameList = new ArrayList<>();
            for(FarmWorkPrescription prescription : this.prescriptionList){
                for(ZFarmWorkOrderPesticideFertilizerVo pesticideFertilizer : prescription.getPesticideFertilizerList()){
                    pesticideFertilizerNameList.add(pesticideFertilizer.getDefaultName());
                }
            }
        }
    }

}
