package com.flyer.foster.service.rpc.sample;

import com.flyer.foster.dto.SampleQueryDto;
import com.flyer.foster.service.rpc.sample.model.FeignSampleDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 *  果树管理
 */
@FeignClient(contextId = "FeignSampleService",value = "birdseye-new-api",path = "/rpc/sample")
public interface FeignSampleService {


    /**
     * 果园的果树列表
     * @param queryDto
     * @return
     */
    @GetMapping("/list")
    List<FeignSampleDto> list(@SpringQueryMap SampleQueryDto queryDto);

    /**
     * 查询单个采样点信息
     * @return
     */
    @GetMapping("/getById")
    FeignSampleDto getById(@RequestParam("id") Integer id);

    /**
     * 查询多个采样点信息
     * @return
     */
    @PostMapping("/getByIds")
    List<FeignSampleDto> getByIds(@RequestBody List<Integer> ids);

}
