package com.flyer.foster.service.rpc.sample.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import org.locationtech.jts.geom.Geometry;

/**
 * 果树
 */
@Data
public class FeignSampleDto implements java.io.Serializable {


    /**
     * 主键id
     */
    private Integer id;

    /**
     * 地理信息唯一编码
     */
    private String geoHashSample;

    /**
     * 蓝区地理信息编码
     */
    private String blueZoneCode;

    /**
     * 分区id
     */
    private Integer regionId;

    /**
     * 品种id
     */
    private Long speciesItemId;

    /**
     * 树龄
     */
    private Integer age;

    /**
     * 地块id
     */
    private Long subRegionId;

    @JSONField(serialize = false)
    private Geometry geometry;

    /**
     * 点位
     */
    private String point;

    /**
     * 农场id
     */
    private Integer farmId;

    /**
     * 显示状态(0正常 1 待复核 2 生长异常 3 病虫异常)
     */
    private Integer ycStatus;

    /**
     * 病害等级 0 1 2 3
     */
    private Integer diseasesLevel;

    /**
     * 虫害等级 0 1 2 3
     */
    private Integer pestsLevel;


    /**
     * 是否成熟(0否 1是)
     */
    private Integer isBeRipe;

}












