package com.flyer.foster.service.rpc.species;

import com.flyer.foster.service.rpc.species.model.PCitySpeciesItemDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * 城市物种品种关联接口
 */
@FeignClient(contextId = "FeignPCitySpeciesItemService",value = "feiniao-weather",path = "/p_city_species_item")
public interface FeignPCitySpeciesItemService {

    @GetMapping("/findByPointAndPreCityId")
    List<PCitySpeciesItemDto> findByPointAndPreCityId(@RequestParam() String point,
                                                      @RequestParam(required = false)  Integer preCityId);

    @GetMapping("/findByCityId")
    List<PCitySpeciesItemDto> findByCityId(@RequestParam  Integer cityId);
}
