package com.flyer.foster.service.rpc.species;

import com.flyer.foster.service.rpc.species.model.SpeciesItem;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(contextId = "FeignFruitsTypeItemService",value = "feiniao-weather",path = "/species_item")
public interface FeignSpeciesItemService {


    @GetMapping("/findAll")
    List<SpeciesItem> findAll();

    @GetMapping("/get")
    SpeciesItem get(@RequestParam Long id);

    @GetMapping("/listByPid")
    List<SpeciesItem> listByPid(@RequestParam Long fruitsTypeId);

    /**
     * ids 数组查询列表
     * @return
     */
    @PostMapping("/listByIds")
    List<SpeciesItem> listByIds(@RequestBody List<Long> ids);

}
