package com.flyer.foster.service.rpc.species;

import com.flyer.foster.service.rpc.species.model.SpeciesInfo;
import com.flyer.foster.service.rpc.species.model.SpeciesInfoVo;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

/**
 * 水果管理
 */
@FeignClient(contextId = "FeignSpeciesService",value = "feiniao-weather",path = "/species_info")
public interface FeignSpeciesService {

    @GetMapping("/get/{id}")
    SpeciesInfo get(@PathVariable Long id);

    @Cacheable("FeignSpeciesService.findAll")
    @GetMapping("/findAll")
    List<SpeciesInfo> findAll();

    @Cacheable("FeignSpeciesService.findAllDetail")
    @GetMapping("/findAllDetail")
    List<SpeciesInfoVo> findAllDetail();



}
