package generate;

import com.baomidou.mybatisplus.generator.AutoGenerator;
import com.baomidou.mybatisplus.generator.config.*;
import com.baomidou.mybatisplus.generator.config.rules.NamingStrategy;
import com.baomidou.mybatisplus.generator.engine.FreemarkerTemplateEngine;

public class GenerateCode {

    private static final String URL = "jdbc:mysql://106.53.222.208:3306/foster?serverTimezone=GMT%2B8&characterEncoding=utf-8";
    private static final String USER_NAME = "foster";
    private static final String PASSWORD = "tKLGm42dSzaaNJPK";
    private static final String PROJECT_PATH = System.getProperty("user.dir");

    // 表名
    private static final String[] TABLE_NAMES = {"tb_farm_user"};
    // 表前缀
    private static final String TABLE_PREFIX = "";

    // 指定包名
    private static final String PACKAGE_NAME = "com.flyer.foster";

    // 演示例子
    public static void main(String[] args) {
        for(String TABLE_NAME : TABLE_NAMES){
            System.out.println("当前处理的表 ------------- " + TABLE_NAME);
            generateCode(TABLE_NAME);
        }
    }

    private static void generateCode(String tableName){
        // 数据源配置
        DataSourceConfig dataSourceConfig = new DataSourceConfig.Builder(URL, USER_NAME, PASSWORD)
                .build();

        // 全局配置
        GlobalConfig globalConfig = new GlobalConfig.Builder()
                .outputDir(PROJECT_PATH + "/admin/src/main/java/")
                .author("shuhao") // 生成文件的作者
                .disableOpenDir() // 生成完成后是否打开目录
                .build();

        // 包配置
        PackageConfig packageConfig = new PackageConfig.Builder()
                .parent(PACKAGE_NAME) // 父包名
                .entity("entity") // 实体类包名
                .service("service")
                .build();

        // 策略配置
        StrategyConfig strategyConfig = new StrategyConfig.Builder()
                .addInclude(tableName) // 设置需要生成的表名
                .addTablePrefix(TABLE_PREFIX) // 设置表名前缀
                .entityBuilder()
                .naming(NamingStrategy.underline_to_camel) // 数据库表字段映射到Java实体类属性名的策略
                .enableLombok() // 是否使用Lombok注解
                .build();


        AutoGenerator generator = new AutoGenerator(dataSourceConfig)
                .global(globalConfig)
                .packageInfo(packageConfig)
                .strategy(strategyConfig);

        // 执行生成
        generator.execute();
    }
}
